//wcam.h

#ifndef _wcam_h_
#define _vcam_h_
#include "types.h"

#define _szvbuf		(640 * 480)	//размер массива данных
#define _wait_cam	30000		//ожидание цикла камеры

extern U16 	width;
extern U16 	height;
extern U16 	tmark;
extern U8	ocvbuf[_szvbuf];
extern U8	vtype;

//параметры для процедур
extern U8	ap1;
extern U8	ap2;
//
extern pthread_mutex_t         	CamMutex;

//тестовый интерактивеый модуль 1
extern int test1(void);
//тестовый интерактивеый модуль 2
extern int test2(void);
//информация о параметрах камеры
extern int info(void);
//запуск процесса камеры
extern int CamStart(void);
//рабочий процесс камеры
void* CamLoop(void * pr);
//чтение данных на передачу клиенту
extern void dataRead(U8 vtype, U8 * ob);
//
extern void dataToBMP(void);

#endif

