//mrtu.h

/*
19.12.2016
проверка приёма и передачи

28.11.2016
CMD 16

24.11.2016
CMD 6

*/
#ifndef _mrtu_h_
#define _mrtu_h_
#include <sys/types.h>

//отладка
#define	_mdbg		1	//флаг сообщения для отладки
//
//#define _baudrate	9600
//#define _wait_tx_rx	((int)(( (float)(1.0) / (float)(baudrate)) * 10) * 4) * 1000)	

//коды ошибок
#define _no_err		0	//всё нормально
#define _tx_err		-1	//ошибка передачи
#define _rx_err		-2	//ошибка приёма
#define _rx_crc_err	-3	//ошибка контрольной суммы приёма
#define _rx_cmd_err	-4	//не соответствие команды

#define	_szbuf	0x20

inline u_int16_t MRTU_CRC(u_int8_t * data, u_int16_t len);

extern int MRTU_Connect(char* strPort, int baudrate, int stout);
extern int MRTU_Disconnect(void);
//команда 3 - чтение значения регистров
extern int MRTU_CMD_3(u_int8_t Dev, u_int16_t Addr, u_int16_t * Reg, u_int16_t CntReg);
//команда 6 - запись в один регистр
extern int MRTU_CMD_6(u_int8_t Dev, u_int16_t Addr, u_int16_t Reg);
//команда 16 - запись в несколько регистров
extern int MRTU_CMD_16(u_int8_t Dev, u_int16_t Addr, u_int16_t * Reg, u_int16_t CntReg);

#endif
