//main.h

#ifndef _main_h_
#define _main_h_

#include "maindat.h"

#define _date		"21.10.2018"
#define _version 	"01.02.07"


#define _sonarsleep		150000
#define _dist_Lcntrl_scznH	45	//

#define _help_	"\n\
--help              - текущая подсказка\n\
--version           - дата последнего изменения и версия\n\
--start <diagramm>  - запуск с диаграммой, где диаграмма направленности сошласно описанию:\n\
                      MB1242_A50 - диаграмма A - при питании 5 В\n\
                      MB1242_B50 - диаграмма B - при питании 5 В\n\
                      MB1242_C50 - диаграмма C - при питании 5 В\n\
                      MB1242_D50 - диаграмма D - при питании 5 В\n\
\n"

typedef struct _SCNTRL
{
#define _start_time_cntrl	10
	uint64_t	timeMotorANDservo;			//время от моторов и сервомашин
	uint64_t	timeSonar;				//время от Сонара
	uint64_t	timeSonarOld;				//время 2 от Сонара
	uint64_t	timeCamwork;				//время от камеры
	uint64_t	timeWSbot;				//время от websocket
	//
	int16_t 	spL;					//заданная скорость левого мотора					
	int16_t		spR;					//заданная скорость правого мотора
	int16_t 	rspL;					//прочитанная скорость левого мотора
	int16_t		rspR;					//прочитанная скорость правого мотора
	//
	int16_t		posH;					//позиция сонара по горизонтали
#define _setHposH	-45
#define _stepHposH	5
#define _endHposH	45
	int16_t		setposH;
	int16_t		rposH;					//прочитанная позиция по горизонтали
	uint16_t	cntsetposH;
	//int16_t		speed;					//
	//int16_t		rdspeed;				//
#define	_maincntrl_no			0x00			//нет задания
#define	_maincntrl_scanmapH		0x01			//сканирование по горизонту			
	uint8_t		maincntrl;				//задание для sonar
	uint8_t		scntrl;					//источник управления
} SCNTRL;

//приближение к препятствию
uint8_t disctLimCntrl(void);

#endif
 
