//main.h


#ifndef _main_h_
#define _main_h_

#define _date		"20.10.2018"
#define _version 	"01.02.07"

#define _MainSleep	50000
#define _MainPthSleep	50000

#define	_help_	"\n\
	--help                                                 - текущая подсказка\n\
	--version                                              - дата последнего изменения и версия\n\
\n\
	--fbmp <имя файла BMP>                                 - имя файла-шаблона BMP\n\
	-p <порт прослушивания wbsocket>\n\
\n"
#include "maindat.h"
typedef struct _MOT_CONTRL
{
	int16_t	camHposition;
	int16_t	camVposition;
	int16_t	motSpeed;
	int16_t motTurn;
	int16_t	RDcamHposition;
	int16_t	RDcamVposition;
	int16_t sonardistance;
	int16_t sonardistanceOld;
	int16_t	rdmotLspeed;
	int16_t	rdmotRspeed;
	//
	PPD	ppd[_maxPPD];
	//
	uint8_t	scntrl;					//источник управления
} MOT_CONTRL;

extern MOT_CONTRL	motCntrl;

#define _waitMSG			15
#define _waittimeSonarMSG_work		30

extern uint8_t		Cmd, rCmd;
//инициализация элементов ручного управления
void manControl(void);
extern pthread_mutex_t         	MainMutex;
//индикация положения сонара и камеры
void indCamSonar(void);
//сообщения
void fMSG(void);
//индикация сканирования (сонара)
#define	_isNullX		350
#define _isNullY		100
#define _isOR			10
void indScan(void);
//реализация индикации
extern void manInd(void);
extern void indScan(void);
extern void manControl(void);
extern void cmdNoTurn(void);
extern void cmdSTOP(void);
extern void cmdPosNull(void);
int createSHMcntrl(void);
int rwSHMcntrl(void);
int createSHMbmp(void);
void MainBMP(void);
void MainPth(void);

#endif

