//i2c.h


#ifndef _i2c_h_
#define _i2c_h_
#include <sys/types.h>

//для отладки функций I2C
#define _dbg			0

#define _i2cBus			"/dev/i2c-1"
#define i2cBUFFER_LENGTH	0x20
#define _i2c_WR			0xFE	//and
#define _i2c_RD			0x01	//or


//открытие устройства I2C
extern int	i2c_OPN(u_int8_t addr);
//запись в устройство I2C
extern int	i2c_WR(int i2cHnd,  u_int8_t * bdata, u_int8_t bsize);
//чтение устройства I2C
extern int	i2c_RD(int i2cHnd, u_int8_t * bdata, u_int8_t bsize);
//закрытие устройства I2C
extern void	i2c_CLS(int i2cHnd);

//открытие устройства I2C
extern int	i2c_OPEN(u_int8_t address);
//запись в устройство I2C
extern int	i2c_WRIETE(int i2cHandle, u_int8_t baddr, u_int8_t * bdata, u_int8_t bsize);
//чтение устройства I2C
extern int	i2c_READ(int i2cHandle, u_int8_t baddr, u_int8_t * bdata, u_int8_t bsize);
//закрытие устройства I2C
extern int	i2c_CLOSE(int i2cHandle);

#endif

