#!/bin/bash
#
_date="24.09.2018"
_version="02.01.01"

par=$1

case $par in
	"stop")
		killall servoANDmotor
		killall sonar
		killall wsbot
		killall camwork
		;;
	"start")
		echo ""
		echo ">>> ARBOT (Дата:$_date Вурсия:$_version) <<<"
		killall servoANDmotor
		killall sonar
		killall wsbots
		killall camwork
		str=$(./servoANDmotor --version)
		echo "Модуль управления приводами...................... дата и версия: $str"
		sleep 3
		./servoANDmotor --start &
		str=$(./sonar --version)
		echo "Модуль сонара ультразвукового.................... дата и версия: $str"
		sleep 3
		./sonar --start MB1242_C50 &
		str=$(./wsbot --version)
		echo "Модуль сервера доступа по HTML через websocket... дата и версия: $str"
		sleep 3		
		./wsbot --fbmp work.bmp -p 4321 &
		str=$(./camwork --version)
		echo "Модуль работы с WEB-камерой...................... дата и версия: $str"
		sleep 3		
		./camwork --fbmp work.bmp &
	;;
	*)
		echo "$0 {start|stop}"
	;;
esac
exit 0


