//bar.h

#ifndef _bar_h_
#define _bar_h_
#include <stdint.h>
#define _CNTBAR	32

typedef struct _BAR
{
	int16_t	x;
	int16_t	y;
	int16_t	w;
	int16_t	h;
	int16_t valmin;
	int16_t	valmax;
	int16_t	*value;
	//
	uint8_t	RF;
	uint8_t	BF;
	uint8_t	GF;
	uint8_t	RB;
	uint8_t	BB;
	uint8_t	GB;
} BAR;

typedef struct _BARS
{
	int16_t	cntbar;
	BAR	bar[_CNTBAR];
} BARS;	

extern void barH(int16_t x, int16_t y, int16_t w, int16_t h,
	int16_t min, int16_t max, int16_t cur,
	uint8_t RBr, uint8_t GBr, uint8_t BBr,	//цвет болдюра
	uint8_t RF, uint8_t GF, uint8_t BF,	//цвет шкалы
	uint8_t RB, uint8_t GB, uint8_t BB);	//цвет фона

extern void barV(int16_t x, int16_t y, int16_t w, int16_t h,
	int16_t min, int16_t max, int16_t cur,
	uint8_t RBr, uint8_t GBr, uint8_t BBr,	//цвет болдюра
	uint8_t RF, uint8_t GF, uint8_t BF,	//цвет шкалы
	uint8_t RB, uint8_t GB, uint8_t BB);	//цвет фона

extern void barINIT(void);

#endif

