//bmpfunc.h

#ifndef _bmpfunc_h_
#define _bmpfunc_h_

#include <stdint.h>
#include "wsserver.h"


extern uint8_t	flagNew;

void bmpredraw(char * nfile);

extern int bmpfilework(char * nfile, uint8_t *bd);
extern int circle(int16_t x, int16_t y, int16_t radius, uint8_t R, uint8_t G, uint8_t B);
extern int circlefill(int16_t x, int16_t y, int16_t radius, uint8_t R, uint8_t G, uint8_t B);
extern int rectangle(int16_t x1, int16_t y1, int16_t x2, int16_t y2, uint8_t R, uint8_t G, uint8_t B);
extern int rectanglefill(int16_t x1, int16_t y1, int16_t x2, int16_t y2, uint8_t R, uint8_t G, uint8_t B);
extern void triangle(int16_t x1, int16_t  y1, int16_t x2, int16_t y2, int16_t x3, int16_t y3, uint8_t R, uint8_t G, uint8_t B);

extern void setfont(int numfont);
extern void outchar(char sym, int16_t x, int16_t y, uint8_t R1,  uint8_t G1, uint8_t B1, uint8_t R2, uint8_t G2, uint8_t B2, uint8_t FBC);
extern void textout(char *str, int16_t x, int16_t y, uint8_t RF, uint8_t GF, uint8_t BF, uint8_t RB, uint8_t GB, uint8_t BB,  uint8_t FB);
extern int wsscreen(uint8_t * wsd, uint8_t *bd, void *mt);

#endif

