//wsfunc.h


#ifndef _wsfunc_h_
#define _wsfunc_h_

#include <stdint.h>
#include "wsserver.h"

#define FIN1			0x80

#define WS_MASK			0x80
#define WS_OPCODE_CONTINUE 	0x00
#define WS_OPCODE_TEXT 		0x01
#define WS_OPCODE_BINARY 	0x02
#define WS_OPCODE_CLOSE 	0x08
#define WS_OPCODE_PING 		0x09
#define WS_OPCODE_PONG 		0x0A

typedef struct
{
	u_int32_t	state[5];
	u_int32_t	count[2];
	u_int8_t	buffer[64];
} SHA1_CTX;

__inline int strval(char * inbuf, char * inref, char * output);

extern int 		wsin(WSDAT * wsd);
extern int 		wsout(WSDAT * wsd);
extern int 		wsfunc(WSDAT * wsd);

extern uint8_t		rdbuf[_BUFSIZEin];




#endif

